## debconf 1.4.29ubuntu4

=== debian/changelog ===
debconf (1.4.29ubuntu4) warty; urgency=low

  * Set the seen flag on questions asked in the noninteractive frontend if
    DEBCONF_NONINTERACTIVE_SEEN is set to true. This allows debootstrap to
    behave better.
  * Add Debconf::Element::Noninteractive::* modules; we need element objects
    to carry the markseen flag around.

 -- Colin Watson <cjwatson@canonical.com>  Thu, 30 Sep 2004 19:10:21 +0100

debconf (1.4.29ubuntu3) warty; urgency=low

  * Ubuntu branding

 -- Tollef Fog Heen <tfheen@raw.no>  Fri, 20 Aug 2004 09:56:24 +0200

debconf (1.4.29ubuntu2) warty; urgency=low

  * Implement progress report on apt-extracttemplates calls.
    (dpkg-preconfigure)
    (Closes: #340)

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Fri, 23 Jul 2004 13:10:13 +0200

debconf (1.4.29ubuntu1) warty; urgency=low

  * Set default priority to high.

 -- Colin Watson <cjwatson@flatline.org.uk>  Mon, 19 Jul 2004 20:33:19 +0100

debconf (1.4.29) unstable; urgency=low

  * Force two spare lines to be available for select and multiselect lists
    in the dialog frontend. Closes: #255652

 -- Joey Hess <joeyh@debian.org>  Wed, 23 Jun 2004 20:16:31 -0400

debconf (1.4.28) unstable; urgency=low

  * Typo fixes in debconf-devel.7. Closes: #253341
  * Put back the PREVIOUS_MODULE stuff, at least console-data "uses" it,
    although it does nothing, is undocumented, etc.

 -- Joey Hess <joeyh@debian.org>  Tue,  8 Jun 2004 17:28:25 -0400

debconf (1.4.27) unstable; urgency=low

  * Change the shell confmodule to not construct functions on the fly.
    The new code is smaller, a bit faster, and simpler, but the important
    thing is that it does not clobber $@. The old version messed up $@ if
    parameters contained spaces.
  * Removed the never completed PREVIOUS_MODULE stuff from the shell,
    perl, and python confmodules.

 -- Joey Hess <joeyh@debian.org>  Sun,  6 Jun 2004 17:14:31 -0400

debconf (1.4.26) unstable; urgency=low

  * Add Basqe translation by Piarres Beobide Egaa. Closes: #247321
  * German translation update. Closes: #251731
  * Catalan translation update. Closes: #251786
  * Remove soi-unsightly trailing blanks in debconf-show output.
    Closes: #252482

 -- Joey Hess <joeyh@debian.org>  Tue,  4 May 2004 14:35:50 -0400

debconf (1.4.25) unstable; urgency=low

  * Overload Template object's stringification, so metaget of a question's
    template field returns the name of the template. Closes: #244089

 -- Joey Hess <joeyh@debian.org>  Wed, 28 Apr 2004 17:50:09 -0400

debconf (1.4.24) unstable; urgency=low

  * Patch from Eugeniy Meshcheryako to make the dialog frontend use a
    utf-aware width function when calculating dialog sizes. Closes: #245688

 -- Joey Hess <joeyh@debian.org>  Sat, 24 Apr 2004 15:15:52 -0400

debconf (1.4.22) unstable; urgency=low

  * Update po/ja.po. Closes: #241786
  * Fix frontend capitalisation warning. Closes: #242277
  * Wording tweak in dpkg-reconfigure. Closes: #242917
  * Update po/da.po. Closes: #243202

 -- Joey Hess <joeyh@debian.org>  Fri,  2 Apr 2004 19:01:02 -0500

debconf (1.4.21) unstable; urgency=low

  * Remove old stuff for cvs repo in README. Closes: #241252
  * Improve handling of bad priorities, and documentation. Closes: #241292

 -- Joey Hess <joeyh@debian.org>  Wed, 31 Mar 2004 17:29:43 -0500

debconf (1.4.20) unstable; urgency=low

  * Update Ukrainian po file. Closes: #241044
  * Fix more encoding problems with the gnome frontend introduced by the last
    patch. Closes: #240898
  * In the KDE frontend, don't show the window until there is a question to
    ask. Closes: #239109

 -- Joey Hess <joeyh@debian.org>  Tue, 30 Mar 2004 12:04:56 -0500

debconf (1.4.19) unstable; urgency=low

  * Fix Gnome frontend's display of select and multiselect questions
    and notes to use more of the available space. Closes: #229009
    Thanks to Mark Howard for this patch.
  * Use tooltips to display the help texts for questions in the Gnome
    frontend. Closes: #240299 (Mark Howard). The Help bttons are still 
    left in the UI for now.
  * Updated Greek po file from Konstantinos Margaritis. Closes: #240641
  * French po update from Julien Louis. Closes: #240648

 -- Joey Hess <joeyh@debian.org>  Sun, 28 Mar 2004 10:41:16 -0500

debconf (1.4.18) unstable; urgency=low

  * Removed all sigils. Closes: #223020, #182239, #239916

 -- Joey Hess <joeyh@debian.org>  Fri, 26 Mar 2004 22:01:40 -0500

debconf (1.4.17) unstable; urgency=low

  * Added Turkish po file translation from Recai Oktas. Closes: #239141

 -- Joey Hess <joeyh@debian.org>  Sat, 20 Mar 2004 22:29:51 -0500

debconf (1.4.16) unstable; urgency=medium

  * Dialog and whiptail differ in their handling of --nocancel with
    --defaultno. Never use the two options together. Closes: #236943
  * Bump the urgency, this bug can cause bad things to happen and needs to be
    fixed in testing.

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Mar 2004 10:59:28 -0500

debconf (1.4.14) unstable; urgency=low

  * Fix call to to_Unicode in KDE String element. Closes: #236574

 -- Joey Hess <joeyh@debian.org>  Sun,  7 Mar 2004 13:13:00 -0900

debconf (1.4.13) unstable; urgency=low

  * Fix display on non-latin symbols in the KDE frontend. Closes: #235837
    (Thanks, Eugeniy Meshcheryakov)
  * Added Chinese po files. Closes: #235950 (thanks, Carlos Liu)

 -- Joey Hess <joeyh@debian.org>  Wed,  3 Mar 2004 15:36:18 -0500

debconf (1.4.12) unstable; urgency=low

  * Updated French manpages from Julien Louis, includes new
    debconf-{get,set}-selections translations. Closes: #235690

 -- Joey Hess <joeyh@debian.org>  Tue,  2 Mar 2004 12:31:51 -0500

debconf (1.4.11) unstable; urgency=low

  * Updated Spanish templates translation. Closes: #232662
  * Fix dialog frontend's handling of user entering nothing in an inputbox,
    in this case whiptail's output FD is eof, and care must be taken to not
    return undef. Closes: #233618, #226963, #227732

 -- Joey Hess <joeyh@debian.org>  Sat, 14 Feb 2004 20:35:36 -0500



=== debian/control ===
Source: debconf
Section: admin
Priority: optional
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.6.1.0
Build-Depends: perl, python, debhelper (>= 4.1.27), gettext, po-debconf, libqt-perl

Package: debconf
Priority: important
Pre-Depends: perl-base (>= 5.6.1-4)
Conflicts: cdebconf, debconf-tiny, apt (<< 0.3.12.1), menu (<= 2.1.3-1), dialog (<< 0.9b-20020814-1), whiptail (<< 0.51.4-11), whiptail-utf8 (<= 0.50.17-13), debconf-utils (<< 1.3.22)
Provides: debconf-2.0
Replaces: debconf-tiny
Depends: debconf-i18n | debconf-english
Recommends: apt-utils (>= 0.5.1)
Suggests: debconf-doc, debconf-utils, whiptail | dialog | gnome-utils, libterm-readline-gnu-perl, libgnome2-perl, libqt-perl, libnet-ldap-perl, perl
Architecture: all
Description: Debian configuration management system
 Debconf is a configuration management system for debian packages. Packages
 use Debconf to ask questions when they are installed.

Package: debconf-i18n
Priority: important
Conflicts: debconf-english, debconf-utils (<< 1.1.0)
Replaces: debconf (<< 1.3.0), debconf-utils (<< 1.1.0)
Architecture: all
Depends: debconf, liblocale-gettext-perl, libtext-iconv-perl, libtext-wrapi18n-perl, libtext-charwidth-perl
Description: full internationalization support for debconf
 This package provides full internationalization for debconf, including
 translations into all available languages, support for using translated
 debconf templates, and support for proper display of multibyte character
 sets.

Package: debconf-english
Priority: extra
Conflicts: debconf-i18n
Architecture: all
Depends: debconf
Description: small footprint English-only debconf
 This package is an alternative to the debconf-i18n package, intended for
 systems that are administered only in English, and low-footprint systems.
 If you install this package, debconf will not work properly in other
 languages, but you'll save half a megabyte of disk space.

Package: debconf-doc
Conflicts: debconf (<< 0.3.10)
Suggests: debian-policy (>= 3.5)
Section: doc
Architecture: all
Description: debconf documentation
 This package contains lots of additional documentation for Debconf,
 including the debconf user's guide, documentation about using different
 backend databases via the /etc/debconf.conf file, and a developer's guide
 to debconf.

Package: debconf-utils
Section: devel
Depends: debconf (>= 1.3.20), ${misc:Depends}
Conflicts: debconf (<< 0.1.0)
Replaces: debconf (<< 0.1.0)
Architecture: all
Description: debconf utilities
 This package contains some small utilities for debconf developers.

=== debian/rules ===
#!/usr/bin/make -f

# Ensure that builds are self-hosting, which means I have to use the .pm
# files in this package, not any that may be on the system.
export PERL5LIB=.

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean debian/debconf.changelog

# Build architecture-independent files here.
binary-indep:
binary-indep: build
	dh_testdir
	dh_testroot
	dh_clean -k

	$(MAKE) prefix=`pwd`/debian/debconf-utils install-utils
	$(MAKE) prefix=`pwd`/debian/debconf-i18n install-i18n
	$(MAKE) prefix=`pwd`/debian/debconf install-rest

	# Link doc dirs where appropriate.
	for p in debconf-utils debconf-i18n debconf-english; do \
		dh_link -p $$p usr/share/doc/debconf usr/share/doc/$$p; \
	done

	# Don't modify postrm, I purge differently than normal packages
	# using me
	dh_installdebconf -n
	
	dh_installdocs
	dh_installdirs etc/apt/apt.conf.d/
	cp debian/apt.conf debian/debconf/etc/apt/apt.conf.d/70debconf
	dh_installman doc/man/gen/dpkg-*configure.8 \
		doc/man/gen/debconf-show.1 doc/man/gen/debconf-copydb.1 \
		doc/man/gen/debconf.1 doc/man/gen/debconf-communicate.1 \
		doc/man/gen/debconf-set-selections.1
	dh_installman -p debconf-i18n doc/man/gen/dpkg-*.*.8 \
		doc/man/gen/debconf-show*.*.1 doc/man/gen/debconf-copydb*.*.1 \
		doc/man/gen/debconf.*.1
	dh_installman -p debconf-doc doc/man/confmodule*.3 doc/man/debconf*.7 \
		doc/man/debconf.conf*.5 doc/man/gen/Debconf::Client::ConfModule*
	dh_installman -p debconf-utils `find doc/man/gen/debconf-* | grep -v debconf-show | grep -v debconf-copydb | grep -v debconf-set-selections | grep -v debconf-communicate`
	dh_installexamples -pdebconf-doc samples/*
	
	# Changelog reduction hack for debconf. Only include top 100 entries.
	perl -ne '$$c++ if /^debconf /; last if $$c > 100 ; print $$_' \
		< debian/changelog > debian/debconf.changelog
	echo "Install debconf-doc and see /usr/share/doc/debconf-doc/changelog.gz" >> debian/debconf.changelog
	echo "for the remainder of this changelog." >> debian/debconf.changelog

	dh_python
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:
# Nothing to do

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## debconf 1.4.30.13

=== Makefile ===
all: Debconf/FrontEnd/Kde/WizardUi.pm
	$(MAKE) -C doc
	$(MAKE) -C po

Debconf/FrontEnd/Kde/WizardUi.pm: Debconf/FrontEnd/Kde/WizardUi.ui
	puic $< |sed 's/package WizardUi/package Debconf::FrontEnd::Kde::WizardUi/' > $@

clean:
	find . -name \*~ | xargs rm -f
	$(MAKE) -C doc clean
	$(MAKE) -C po clean
	rm -f Debconf/FrontEnd/Kde/WizardUi.pm

# Does not attempt to install documentation, as that can be fairly system
# specific.
install: install-utils install-rest

# Anything that goes in the debconf-utils package.
install-utils:
	install -d $(prefix)/usr/bin
	find . -maxdepth 1 -perm +100 -type f -name 'debconf-*' | grep -v debconf-set-selections | grep -v debconf-show | grep -v debconf-copydb | grep -v debconf-communicate | \
		xargs -i install {} $(prefix)/usr/bin

# Anything that goes in the debconf-i18n package.
install-i18n:
	$(MAKE) -C po install

# Install all else.
install-rest:
	install -d $(prefix)/etc \
		$(prefix)/var/cache/debconf \
		$(prefix)/usr/share/debconf \
		$(prefix)/usr/share/pixmaps
	install -m 0644 debconf.conf $(prefix)/etc/
	install -m 0644 debian-logo.png $(prefix)/usr/share/pixmaps/
	# This one is the ultimate backup copy.
	grep -v '^#' debconf.conf > $(prefix)/usr/share/debconf/debconf.conf
	# Make module directories.
	find Debconf -type d |grep -v CVS | \
		xargs -i install -d $(prefix)/usr/share/perl5/{}
	install -d $(prefix)/usr/lib/python2.3/site-packages/
	# Install modules.
	find Debconf -type f -name '*.pm' |grep -v CVS | \
		xargs -i install -m 0644 {} $(prefix)/usr/share/perl5/{}
	install -m 0644 debconf.py $(prefix)/usr/lib/python2.3/site-packages/
	# Special case for back-compatability.
	install -d $(prefix)/usr/share/perl5/Debian/DebConf/Client
	cp Debconf/Client/ConfModule.stub \
		$(prefix)/usr/share/perl5/Debian/DebConf/Client/ConfModule.pm
	# Other libs and helper stuff.
	install -m 0644 confmodule.sh confmodule $(prefix)/usr/share/debconf/
	install frontend $(prefix)/usr/share/debconf/
	install -m 0755 transition_db.pl fix_db.pl $(prefix)/usr/share/debconf/
	# Install essential programs.
	install -d $(prefix)/usr/sbin $(prefix)/usr/bin
	find . -maxdepth 1 -perm +100 -type f -name 'dpkg-*' | \
		xargs -i install {} $(prefix)/usr/sbin
	find . -maxdepth 1 -perm +100 -type f -name debconf -or -name debconf-show -or -name debconf-copydb -or -name debconf-communicate -or -name debconf-set-selections | \
		xargs -i install {} $(prefix)/usr/bin
	# Now strip all pod documentation from all .pm files and scripts.
	find $(prefix)/usr/share/perl5/ $(prefix)/usr/sbin		\
	     $(prefix)/usr/share/debconf/frontend 			\
	     $(prefix)/usr/share/debconf/*.pl $(prefix)/usr/bin		\
	     -name '*.pl' -or -name '*.pm' -or -name 'dpkg-*' -or	\
	     -name 'debconf-*' -or -name 'frontend' |			\
	     grep -v Client/ConfModule | xargs perl -i.bak -ne ' 	\
	     		print $$_."# This file was preprocessed, do not edit!\n" \
				if m:^#!/usr/bin/perl:; 		\
	     		$$cutting=1 if /^=/; 				\
	     		$$cutting="" if /^=cut/; 			\
			next if /use lib/;				\
			next if $$cutting || /^(=|\s*#)/ || $$_ eq "\n";\
			print $$_					\
		'
	find $(prefix) -name '*.bak' | xargs rm -f

demo:
	PERL5LIB=. ./frontend samples/demo

=== po/Makefile ===
# List here all source files with translatable strings.
POTFILES=$(shell find ../Debconf -type f -name \*.pm) \
	../dpkg-* ../debconf-*

POFILES=$(wildcard *.po)
MOFILES=$(POFILES:.po=.mo)

all: debconf.pot $(MOFILES)

install: all
	for file in $(MOFILES); do \
		lang=`echo $$file | sed 's/\.mo//'`; \
		install -d $(prefix)/usr/share/locale/$$lang/LC_MESSAGES/; \
		install -m 0644 $$file $(prefix)/usr/share/locale/$$lang/LC_MESSAGES/debconf.mo; \
	done

debconf.pot: $(POTFILES)
# xgettext can mostly handle perl files as C files, though it gets a bit
# confused about single quotes in comments, and the gettext() calls have to
# use double-quoted strings or it will ignore them.
	@echo "Rebuilding the pot file"
	xgettext $(POTFILES) -o debconf.pot -Lc

clean:
	rm -f debconf.pot $(MOFILES) messages messages.mo

%.mo: %.po
	msgfmt -o $@ $<

%.po: debconf.pot
	@echo -n "Merging debconf.pot and $@"
	@msgmerge $@ debconf.pot -o $@.new
# Typically all that changes was a date. I'd prefer not to cvs commit such
# changes, so detect and ignore them.
	@if [ "`diff $@ $@.new | grep '[<>]' | wc -l`" -ne 2 ]; then \
		mv -f $@.new $@; \
	else \
		rm -f $@.new; \
	fi
	@msgfmt --statistics $@

check:
	@for file in $(POFILES); do \
		lang=`echo $$file | sed 's/\.po//'`; \
		printf "$$lang: "; \
		msgfmt -o /dev/null -c -v --statistics $$lang.po;\
	done

=== debian/changelog ===
debconf (1.4.30.13) testing-proposed-updates; urgency=low

  * Joey Hess
    - Make debconf-set-selections not fail if it encounters an unknown
      question type. This is for future expansion post-sarge, when we may add
      new types of questions or override the type field to do seen flag
      handling. This needs to get into sarge so that installs of sarge done
      with newer versions of the installer that may make use of such
      extensions will work and not choke on the extensions in the preseed
      files.
  * Translations:
    - Update German translation by Helge Kreutzmann
    - Spanish updated. Closes: #301126

 -- Joey Hess <joeyh@debian.org>  Thu,  7 Apr 2005 16:35:16 -0400

debconf (1.4.30.12) testing-proposed-updates; urgency=low

  * Mark more strings as translatable. Closes: #225463
  * Translations:
    - French updated
    - Italian updated. Closes: #291797
    - Simplified Chinese updated. Closes: #291799
    - Dutch updated. Closes: #291805
    - Russian updated. Closes: #291806
    - Czech updated. Closes: #291810
    - Portuguese updated. Closes: #291837
    - Ukrainian updated. Closes: #291861
    - Catalan updated. Closes: #291868
    - Norwegian Nynorsk updated. Closes: #291882
    - Spanish updated. Closes: #291885
    - Hebrew updated. Closes: #291906
    - Japanese updated. Closes: #291924
    - Danish updated. Closes: #291988
    - Finnish updated. Closes: #292051
    - Indonesian updated. Closes: #291948
    - Brazilian Portuguese updated. Closes: #291980
    - Slovak updated. Closes: #291947
    - Swedish updated. Closes: #292036
    - Greek updated. Closes: #293912
    - Basque updated.
    - Romanian updated. Closes: #292306
    - Tagalog added (programs and debconf). Closes: #292608, #296050
    - Arabic added from Arabeyes CVS
    - Traditional Chinese translation updated. Closes: #294892
    - German updated.
    - Polish updated. Closes: #295378

 -- Joey Hess <joeyh@debian.org>  Mon, 21 Feb 2005 19:38:08 -0500

debconf (1.4.30.11) testing-proposed-updates; urgency=low

  * Translations:
    - Finnish updated (programs). Closes: #280709
    - Romanian added (programs). Closes: #283209

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Dec 2004 17:44:08 -0500

debconf (1.4.30.10) testing-proposed-updates; urgency=low

  * Joey Hess
    - Remove the debug message added in the last verson, the check seems
      somewhat buggy and we can debug it in unstable.

 -- Joey Hess <joeyh@debian.org>  Wed,  3 Nov 2004 17:26:31 -0500

debconf (1.4.30.9) testing-proposed-updates; urgency=low

  * Joey Hess
    - Force PERL_DL_NONLAZY=1 in confmodule, confmodule.sh, debconf.py, and
      Debconf::Client::ConfModule to avoid bad behavior of the dynamic linker
      when Text::Iconv is loaded but its symbols have not really been
      resolved. This caused debconf to be killed with a relocation error
      in certian upgrades from woody involving packages that use debconf in
      their preinst. Closes: #278417 Thanks to Andrew Suffield and Branden
      Robinson for analysis.
    - Add check in frontend and debug message if PERL_DL_NONLAZY is not set
      to 1 when it's run from a preinst, in case I missed other entry points.
  * Translations:
    - Indonesian added (programs). Closes: #275981
    - Traditional Chinese renamed from zh_TW.Big5.po to zh_TW.po
      (Christian Perrier)
    - Simplified Chinese added (programs). Closes: #277470
    - Slovak translation added (programs and debconf). Closes: #279299

 -- Joey Hess <joeyh@debian.org>  Wed,  3 Nov 2004 15:03:05 -0500

debconf (1.4.30.8) testing-proposed-updates; urgency=low

  * Translations:
    - Updated Spanish (programs). Closes: #274148
    - Added Hebrew. Closes: #274381
    - Italian added (programs) and updated (debconf). Closes: #274582, #274584
    - Norwegian Nynorsk added (programs). Closes: #275081
    - Polish updated (debconf). Closes: #275815

 -- Joey Hess <joeyh@debian.org>  Sun, 10 Oct 2004 15:11:07 -0400

debconf (1.4.30.7) testing-proposed-updates; urgency=low

  * Joey Hess
    - Tightended the versioned conflicts/replaces on debconf-utils in
      debconf-i18n. Closes: #273970
  * Translations:
    - Updated Brazilian Portuguese translation (programs). Closes: #273941

 -- Joey Hess <joeyh@debian.org>  Wed, 29 Sep 2004 01:54:54 -0400

debconf (1.4.30.6) testing-proposed-updates; urgency=low

  * Translations
    - Errors corrected in Greek programs translations by
      Konstantinos Margaritis
    - Italian debconf update. Closes: #272521
    - Czech debconf update. Closes: #273522
    - Russian translations updates. Closes: #272723
    - Dutch translation added. Closes: #272535
    - Portuguese translation added. Closes: #273227
  * Spelling error in "man page" of debconf-show fixed. Closes: #272541

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Sep 2004 22:23:23 -0400

debconf (1.4.30.5) testing-proposed-updates; urgency=low

  * Joey Hess
    - Used wrong regexp in last version.
  * Translations:
    - Update all debconf translations from the trunk branch
    - Update Ukrainian and French translations from the trunk branch
    - Correct trivial errors in Russian and Polish translations headers

 -- Joey Hess <joeyh@debian.org>  Mon, 13 Sep 2004 23:10:44 -0400

debconf (1.4.30.4) testing-proposed-updates; urgency=low

  * Fix debconf-get-selections to not choke on files with comments followed
    by nothing.
  * Allow multiple spaces between all values except the last one in preseed
    files.
  * (Sent to t-p-u because the above make it annoyingly hard to write preseed
    files by hand, and our example preseed files tickle both problems.)

 -- Joey Hess <joeyh@debian.org>  Sun, 12 Sep 2004 13:32:09 -0400

debconf (1.4.30.3) testing-proposed-updates; urgency=low
 
   * Skip title questions in debconf-get-selections along with the notes, text,
     and errors previously skipped.
   * Add titles to the list of known types in debconf-set-selections, just in
     case.


=== debian/control ===
--- 
+++ 
@@ -21,8 +21,8 @@
 
 Package: debconf-i18n
 Priority: important
-Conflicts: debconf-english, debconf-utils (<< 1.1.0)
-Replaces: debconf (<< 1.3.0), debconf-utils (<< 1.1.0)
+Conflicts: debconf-english, debconf-utils (<< 1.3.22)
+Replaces: debconf (<< 1.3.0), debconf-utils (<< 1.3.22)
 Architecture: all
 Depends: debconf, liblocale-gettext-perl, libtext-iconv-perl, libtext-wrapi18n-perl, libtext-charwidth-perl
 Description: full internationalization support for debconf

## debconf 1.4.39.osso1

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
-all: Debconf/FrontEnd/Kde/WizardUi.pm
+all: 
 	$(MAKE) -C doc
 	$(MAKE) -C po
 
-Debconf/FrontEnd/Kde/WizardUi.pm: Debconf/FrontEnd/Kde/WizardUi.ui
-	puic $< |sed 's/package WizardUi/package Debconf::FrontEnd::Kde::WizardUi/' > $@
+#Debconf/FrontEnd/Kde/WizardUi.pm: Debconf/FrontEnd/Kde/WizardUi.ui
+#	puic $< |sed 's/package WizardUi/package Debconf::FrontEnd::Kde::WizardUi/' > $@
 
 clean:
 	find . -name \*~ | xargs rm -f

=== debian/changelog ===
debconf (1.4.39.osso1) unstable; urgency=low

  * Removed qt build depency so SDK doesn't need to provide it.

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Thu, 21 Oct 2004 10:12:30 +0300

debconf (1.4.39) unstable; urgency=low

  * Joey Hess
    - Avoid a warning message in DbDriver::Copy that's triggered by d-i
      debconf preseeding. Closes: #275122
  * Translations:
    - Spanish updated (programs). Closes: #274148
    - Hebrew added (both). Closes: #274381
    - Italian added (programs) and updated (debconf). Closes: #274582, #274584
    - Norwegian Nynorsk added (programs). Closes: #275081
    - Polish updated (debconf). Closes: #275815

 -- Joey Hess <joeyh@debian.org>  Sun, 10 Oct 2004 15:16:57 -0400

debconf (1.4.38) unstable; urgency=low

  * Joey Hess
    - Tightended the versioned conflicts/replaces on debconf-utils in
      debconf-i18n. Closes: #273970
  * Translations:
    - Updated Brazilian Portuguese translation (programs). Closes: #273941

 -- Christian Perrier <bubulle@kheops.frmug.org>  Thu, 30 Sep 2004 11:11:00 +0200

debconf (1.4.37) unstable; urgency=low

  * Translations:
    - Correct errors in Greek translation by Konstantinos Margaritis
    - Italian debconf update. Closes: #272521
    - Czech debconf update. Closes: #273522
    - Russian translation updates. Closes: #272723
    - Dutch translation added. Closes: #272535
    - Portuguese translation added. Closes: #273227
  * Spelling error in "man page" of debconf-show fixed. Closes: #272541

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Sep 2004 22:14:59 -0400

debconf (1.4.36) unstable; urgency=low

  * Joey Hess
    - Used wrong regexp in last version.
  * Translations:
    - Updated French translation (programs and debconf)
      Closes: #242935, #264152, #271373, #255657
    - Updated/added Ukrainian translations (programs and debconf)
      Closes: #270088
    - Polish debconf translation updated
      Closes: #271398
    - Brazilian Portuguese debconf translation checked
      Closes: #271412
    - Correct trivial errors to Russian and Polish translations headers

 -- Joey Hess <joeyh@debian.org>  Mon, 13 Sep 2004 23:09:14 -0400

debconf (1.4.35) unstable; urgency=low

  * Fix debconf-get-selections to not choke on files with comments followed
    by nothing.
  * Allow multiple spaces between all values except the last one in preseed
    files.

 -- Joey Hess <joeyh@debian.org>  Sun, 12 Sep 2004 13:30:42 -0400

debconf (1.4.34) unstable; urgency=low

  * Skip questions with no known type also in debconf-get-selections.

 -- Joey Hess <joeyh@debian.org>  Wed,  1 Sep 2004 01:25:20 -0400

debconf (1.4.33) unstable; urgency=low

  * Skip title questions in debconf-get-selections along with the notes, text,
    and errors previously skipped.
  * Add titles to the list of known types in debconf-set-selections, just in
    case.

 -- Joey Hess <joeyh@debian.org>  Wed,  1 Sep 2004 00:42:50 -0400

debconf (1.4.32) unstable; urgency=low

  * Hack in an --installer parameter in debconf-get-selections so the d-i
    manual can document a sane way to generate d-i preseeding files.
  * Add the question's short description as a comment in
    debconf-get-selections output, and skip notes, text, and errors.

 -- Joey Hess <joeyh@debian.org>  Thu, 19 Aug 2004 14:46:03 +0100

debconf (1.4.31) unstable; urgency=low

  * Improve the man page with state machine improvements and better back out
    handling from Bruce Perens.
  * Minor Danish po file update. Closes: #262131
  * Patch from David Schweikert to let dpkg-reconfigure use the noninteractive
    frontend if forced to do so. Closes: #263398
  * Patch from Julien Louis to add translations of debconf-communicate and
    debconf-set-selections to debconf-i18n. Closes: #264140
  * Ran recode latin1..utf-8 debian/changelog. Closes: #214563
  * Add Tukish po file translation from Recai Oktas. Closes: #264713
  * Japanese po file update from kmuto. Closes: #265984

 -- Joey Hess <joeyh@debian.org>  Mon, 16 Aug 2004 23:11:33 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Joey Hess <joeyh@debian.org>
 Standards-Version: 3.6.1.0
-Build-Depends: perl, python, debhelper (>= 4.1.27), gettext, po-debconf, libqt-perl
+Build-Depends: perl, python, debhelper (>= 4.1.27), gettext, po-debconf
 
 Package: debconf
 Priority: important

## debconf 1.4.42ubuntu4

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,10 @@
-all: 
+#all: Debconf/FrontEnd/Kde/WizardUi.pm
+all:
 	$(MAKE) -C doc
 	$(MAKE) -C po
 
-#Debconf/FrontEnd/Kde/WizardUi.pm: Debconf/FrontEnd/Kde/WizardUi.ui
-#	puic $< |sed 's/package WizardUi/package Debconf::FrontEnd::Kde::WizardUi/' > $@
+Debconf/FrontEnd/Kde/WizardUi.pm: Debconf/FrontEnd/Kde/WizardUi.ui
+	puic $< |sed 's/package WizardUi/package Debconf::FrontEnd::Kde::WizardUi/' > $@
 
 clean:
 	find . -name \*~ | xargs rm -f
@@ -36,13 +37,13 @@
 	# This one is the ultimate backup copy.
 	grep -v '^#' debconf.conf > $(prefix)/usr/share/debconf/debconf.conf
 	# Make module directories.
-	find Debconf -type d |grep -v CVS | \
+	find Debconf -type d |egrep -v '(CVS|Kde)' | \
 		xargs -i install -d $(prefix)/usr/share/perl5/{}
-	install -d $(prefix)/usr/lib/python2.3/site-packages/
+	install -d $(prefix)/usr/lib/python2.4/site-packages/
 	# Install modules.
-	find Debconf -type f -name '*.pm' |grep -v CVS | \
+	find Debconf -type f -name '*.pm' |egrep -v '(CVS|Kde)' | \
 		xargs -i install -m 0644 {} $(prefix)/usr/share/perl5/{}
-	install -m 0644 debconf.py $(prefix)/usr/lib/python2.3/site-packages/
+	install -m 0644 debconf.py $(prefix)/usr/lib/python2.4/site-packages/
 	# Special case for back-compatability.
 	install -d $(prefix)/usr/share/perl5/Debian/DebConf/Client
 	cp Debconf/Client/ConfModule.stub \

=== debian/changelog ===
debconf (1.4.42ubuntu4) hoary; urgency=low

  * Installer logs go in /var/log/installer now, not
    /var/log/debian-installer.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  1 Mar 2005 21:48:53 +0000

debconf (1.4.42ubuntu3) hoary; urgency=low

  * Add just enough support for cdebconf's PROGRESS command to allow it to
    be used with the passthrough frontend and a cdebconf UI agent, and to
    send suitable template data along with it.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  1 Feb 2005 16:15:07 +0000

debconf (1.4.42ubuntu2) hoary; urgency=low

  * Backport from trunk:
    - The passthrough frontend sets the value of visible questions by
      getting the value from the UI agent, but it didn't set the value of
      invisible questions as the confmodule expects it to. It now sets the
      value of invisible questions in the same way as the noninteractive
      frontend.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 31 Jan 2005 17:19:04 +0000

debconf (1.4.42ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@canonical.com>  Fri, 14 Jan 2005 13:42:02 +0000

debconf (1.4.42) unstable; urgency=low

  * Fix bug in man page example script. Closes: #286335
  * Add --unseen flag to debconf-set-selections. Closes: #286318
  * Fix typo in man page example. Closes: #285099
  * Patch from mdz to improve the passthrough frontend:
    - Use DEBCONF_READFD and DEBCONF_WRITEFD for passthrough communication
      if DEBCONF_PIPE is not set to a socket.
    - Change passthrough protocl for INPUT command so it is the same as in
      the debconf protocol, and pass the type of the question in a "DATA type"
      command.
    - Fix passing of extended descriptions in DATA. Note they're newline
      escaped.
    - Pass choices for multiselect questions.
    - Now usable with cdebconf as the client on the other side of the
      passthrough channel.

 -- Joey Hess <joeyh@debian.org>  Thu, 13 Jan 2005 19:01:58 -0500

debconf (1.4.41ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@canonical.com>  Fri, 24 Dec 2004 16:58:34 +0000

debconf (1.4.41) unstable; urgency=low

  * Translations:
    - Finnish updated (programs). Closes: #280709
    - Romanian added (programs). Closes: #283209

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Dec 2004 17:22:42 -0500

debconf (1.4.40ubuntu2) hoary; urgency=low

  * Install debconf.py to python 2.4's directory, not 2.3

 -- Tollef Fog Heen <tfheen@canonical.com>  Thu, 23 Dec 2004 20:41:07 +0100

debconf (1.4.40ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.
  * Update Ubuntu branding.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 10 Nov 2004 12:59:22 +0000

debconf (1.4.40) unstable; urgency=low

  * Joey Hess
    - Force PERL_DL_NONLAZY=1 in confmodule, confmodule.sh, debconf.py, and
      Debconf::Client::ConfModule to avoid bad behavior of the dynamic linker
      when Text::Iconv is loaded but its symbols have not really been
      resolved. This caused debconf to be killed with a relocation error
      in certian upgrades from woody involving packages that use debconf in
      their preinst. Closes: #278417 Thanks to Andrew Suffield and Branden
      Robinson for analysis.
    - Add check in frontend and debug message if PERL_DL_NONLAZY is not set
      to 1 when it's run from a preinst, in case I missed other entry points.
  * Colin Watson
    - Set the seen flag on questions asked in the noninteractive frontend if
      DEBCONF_NONINTERACTIVE_SEEN is set to true. This allows debootstrap to
      behave better (partly fixes #238301).
  * Translations:
    - Indonesian added (programs). Closes: #275981
    - Traditional Chinese renamed from zh_TW.Big5.po to zh_TW.po
      (Christian Perrier)
    - Simplified Chinese added (programs). Closes: #277470
    - Slovak translation added (programs and debconf). Closes: #279299

 -- Joey Hess <joeyh@debian.org>  Wed,  3 Nov 2004 14:20:39 -0500

debconf (1.4.39ubuntu2) hoary; urgency=low

  * Disable KDE frontend, avoiding the build-dependency on libqt-perl
    (closes: Ubuntu #3133).

 -- Colin Watson <cjwatson@canonical.com>  Mon,  8 Nov 2004 13:26:05 +0000

debconf (1.4.39ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@canonical.com>  Fri, 29 Oct 2004 15:58:14 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Joey Hess <joeyh@debian.org>
 Standards-Version: 3.6.1.0
-Build-Depends: perl, python, debhelper (>= 4.1.27), gettext, po-debconf
+Build-Depends: perl, python (>= 2.4), debhelper (>= 4.1.27), gettext, po-debconf
 
 Package: debconf
 Priority: important

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,8 @@
 		doc/man/gen/debconf-set-selections.1
 	dh_installman -p debconf-i18n doc/man/gen/dpkg-*.*.8 \
 		doc/man/gen/debconf-show*.*.1 doc/man/gen/debconf-copydb*.*.1 \
-		doc/man/gen/debconf.*.1
+		doc/man/gen/debconf.*.1 doc/man/gen/debconf-communicate.*.1 \
+		doc/man/gen/debconf-set-selections.*.1
 	dh_installman -p debconf-doc doc/man/confmodule*.3 doc/man/debconf*.7 \
 		doc/man/debconf.conf*.5 doc/man/gen/Debconf::Client::ConfModule*
 	dh_installman -p debconf-utils `find doc/man/gen/debconf-* | grep -v debconf-show | grep -v debconf-copydb | grep -v debconf-set-selections | grep -v debconf-communicate`

## debconf 1.4.56ubuntu2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,4 @@
-#all: Debconf/FrontEnd/Kde/WizardUi.pm
-all:
+all: Debconf/FrontEnd/Kde/WizardUi.pm
 	$(MAKE) -C doc
 	$(MAKE) -C po
 
@@ -37,11 +36,11 @@
 	# This one is the ultimate backup copy.
 	grep -v '^#' debconf.conf > $(prefix)/usr/share/debconf/debconf.conf
 	# Make module directories.
-	find Debconf -type d |egrep -v '(CVS|Kde)' | \
+	find Debconf -type d |grep -v CVS | \
 		xargs -i install -d $(prefix)/usr/share/perl5/{}
 	install -d $(prefix)/usr/lib/python2.4/site-packages/
 	# Install modules.
-	find Debconf -type f -name '*.pm' |egrep -v '(CVS|Kde)' | \
+	find Debconf -type f -name '*.pm' |grep -v CVS | \
 		xargs -i install -m 0644 {} $(prefix)/usr/share/perl5/{}
 	install -m 0644 debconf.py $(prefix)/usr/lib/python2.4/site-packages/
 	# Special case for back-compatability.

=== debian/changelog ===
debconf (1.4.56ubuntu2) breezy; urgency=low

  * Rebuild now that pkgstriptranslations is configured to blacklist
    debconf-i18n. No source changes.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 16 Sep 2005 15:06:18 +0100

debconf (1.4.56ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  5 Aug 2005 11:51:16 +0100

debconf (1.4.56) unstable; urgency=low

  [ Luk Claes ]
  * Debconf translations:
    - Arabic added (thanks Mohammed Adnène Trojette). Closes: #320762

  [ Colin Watson ]
  * Force dialog progress bars to the full available screen width right from
    the start, to avoid the box flashing as longer info messages are added.
    Matches cdebconf.
  * Fix zero-arg case of passthrough's title method to return the title
    rather than emptying it.
  * The approach used by progress bars of saving the title when a progress
    bar starts and restoring it when it stops doesn't work if somebody sets
    the title when a progress bar is up. Instead, remember the last title
    that was explicitly requested and restore that on progress stop.
  * If DEBCONF_SYSTEMRC is set to a file that exists, use it in preference
    to the system debconf.conf files. Closes: #299216
  * Never send STOP through the passthrough interface. One of the uses for
    passthrough is putting a progress bar in front of base-config's package
    installation, and that previously sent a STOP after every package, which
    shut down the debconf instance running the progress bar. Frontends shut
    themselves down anyway when their input goes away, so the STOP was
    unnecessary.
  * Allow setting the pipe driver's outfd to 'none' to throw the database
    away on shutdown. Helps with #312072.

 -- Colin Watson <cjwatson@debian.org>  Thu,  4 Aug 2005 20:55:12 +0100

debconf (1.4.55ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  2 Aug 2005 15:17:39 +0100

debconf (1.4.55) unstable; urgency=low

  [ Joey Hess ]
  * confmodule: avoid using non-XSI local variables; instead use a nasty
    temporary IFS setting hack and _db_local_ namespace. Closes: #242011

  [ Colin Watson ]
  * Fix error message on uninitialised template database.
  * Add DEBCONF_DB_REPLACE environment variable with the same syntax as
    DEBCONF_DB_OVERRIDE and DEBCONF_DB_FALLBACK, which bypasses all the
    normal databases (thus avoiding locking them). Useful for local testing
    or for running two concurrent debconf instances.
  * Start a new, bigger dialog instance when updating a progress bar with
    info text that won't fit into the current instance.
  * Start/restart dialog progress bars at the correct percentage.
  * Fix showdialog return values.

 -- Colin Watson <cjwatson@debian.org>  Tue,  2 Aug 2005 15:04:55 +0100

debconf (1.4.54ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  1 Aug 2005 16:35:31 +0100

debconf (1.4.54) unstable; urgency=low

  * Make dialog progress bars interruptible: if a question needs to be asked
    while a progress bar is up, we tear down the progress bar and restore it
    afterwards where we left off. The gnome frontend is still broken in this
    situation, although at least kde and readline work fine.

 -- Colin Watson <cjwatson@debian.org>  Mon,  1 Aug 2005 16:20:20 +0100

debconf (1.4.53ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  1 Aug 2005 11:49:06 +0100

debconf (1.4.53) unstable; urgency=low

  [ Luk Claes ]
  * Manpage translations:
    - Updated French confmodule manpage. Closes: #318410

  [ Sylvain Ferriol ]
  * add Test::Debconf::DbDriver::CommonTest::test_shutdown to verify sync of
    data between cache and file on shutdown.
  * add Test::Debconf::DbDriver::CommonTest::test_shutdown to verify sync of
    data between cache and ldap on shutdown.
  * add unit tests to validate debconf_copydb.
  * add Test::CopyDBTest::test_201431. Closes: #201431
  * modify debconf.schema because extendedDescription attribute has an
    inappropriate matching rule => slapd (2.2.23-8) failed
  * set the type of the template in Template::new because if we don't
    use Template::load, it do not appear in template instance
  * call Cache::shutdown in LDAP::shutdown to synchronize data between
    cache and ldap.

  [ Joey Hess ]
  * Add Kamion to the uploaders.
  * debconf-get-selections: Use new d-i logfile path for --installer mode.

  [ Colin Watson ]
  * Fix template -C handling to avoid clobbering $field for later requests
    for the same template.
  * debconf-get-selections: Tolerate both old and new d-i logfile paths.
  * Implement the DATA command, so that debconf can act as a UI agent
    communicating with another instance of debconf running the passthrough
    frontend.
  * Add myself to debian/copyright for progress bar support.

 -- Colin Watson <cjwatson@debian.org>  Sun, 31 Jul 2005 18:19:41 +0100

debconf (1.4.52ubuntu2) breezy; urgency=low

  * Backport from trunk:
    - Fix template -C handling to avoid clobbering $field for later requests
      for the same template.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 26 Jul 2005 18:55:29 +0100

debconf (1.4.52ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Jul 2005 16:48:09 +0100

debconf (1.4.52) unstable; urgency=low

  * Colin Watson:
    - Lower-case the field name passed to METAGET, since the template
      database stores fields that way.
    - If a template name ending in -C is requested (e.g. via METAGET),
      return the untranslated template regardless of the locale.
    - Strip off DOS line endings in debconf-set-selections.
    - Autoflush stdout in debconf-communicate so that stdout can be a pipe.
    - Clean up stray newlines in DEBCONF_DEBUG=developer debconf-communicate
      output.


=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Joey Hess <joeyh@debian.org>
+Uploaders: Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.6.1.0
-Build-Depends: perl, python (>= 2.4), debhelper (>= 4.1.27), gettext, po-debconf
+Build-Depends: perl, python (>= 2.4), debhelper (>= 4.1.27), gettext (>= 0.13), libintl-perl, po-debconf, libqt-perl
 
 Package: debconf
 Priority: important
